<?php
switch ($this->lang) {
    case 'cz':
        $str_invoice    = "Faktura č. ";
        $str_supplier   = "Dodavatel: ";
        $str_buyer      = "Odběratel: ";
        $str_ico        = "IČ:";
        $str_dic        = "DiČ";
        $str_listed     = "zapsaná v obchodním rejstříku vedeném Městským soudem v Praze, oddíl C, vložka 148378";
        $str_date1      = "Datum vystavení: ";
        $str_date2      = "Datum zdanit. plnění: ";
        $str_date3      = "Splatnost: ";
        $str_paytype    = "Způsob platby: ";
        $str_transfer1  = "před dodáním bezhotovostně";
        $str_transfer2  = "převodem";
        $str_transport  = "Doprava: ";
        $str_paypal     = "Paypal účet: ";
        $str_orderID    = "Číslo objednávky.:";
        $str_phone      = "Tel.: ";
        $str_product    = "Produkt";
        $str_items      = "Počet";
        $str_price1     = "Cena bez DPH ";
        $str_price2     = "Cena s DPH ";
        $str_price3     = "Preis (pro Einheit):";
        $str_shipping   = "Doprava ";
        $str_code       = "Kód";
        $str_total      = "Celkem: ";
        $str_vat1       = "DPH";
        $str_vat2       = "DPH %";
        $str_store      = "Adresa prodejny: ";
        $str_contact    = "Kontaktdaten für Deutschland: ";
        $str_final      = "Celkem uhrazeno: ";
        break;
    
    default:
	
		$str_invoice    = "Invoice no. ";
        $str_supplier   = "Supplier: ";
        $str_buyer      = "Buyer: ";
		$str_ico        = "ID No. (IČ): ";
      $str_dic        = "Tax No.: ";
      $str_listed     = "Czech Republic, entered into the Commercial Register of the Municipal Court in Prague, Section C, insert 148378.";
      $str_date1      = "Day of Issue: ";
      $str_date2      = "Subject of taxation day: ";
      $str_date3      = "Due day: ";
      $str_paytype    = "Method of payment: ";
      $str_transfer   = "In advance";
      $str_paypal     = "Paypal account: ";
      $str_transfer1  = "In advance";
      $str_transfer2  = "Transfer";
	  $str_transport  = "Transport: ";
      $str_orderID    = "Order ID: ";
      $str_phone      = "Phone: ";
      $str_product    = "product";
      $str_items      = "number of items";
      $str_price1     = "price without VAT ";
      $str_price2     = "price including VAT ";
      $str_price3     = "price (per item): ";
	  $str_shipping   = "Shipping ";
      $str_code       = "product code: ";
      $str_total      = "total: ";
      $str_vat1       = "VAT";
      $str_vat2       = "VAT %";
      $str_store      = "Shop adress: ";
      $str_contact    = "Contact for Germany: ";
      $str_final      = "Total: ";

}
echo "<pre>";
var_dump($this->order);
echo "</pre>";
?>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="/css/invoice.css" rel="stylesheet" type="text/css">
<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
<div class=headline><div><?= $str_invoice.$this->cisloFaktury; ?></div></div>
<hr>
<table width="100%" border=0 cellspacing=0 cellpadding=0 class=faktura>
    <tr><td width="60%" style="vertical-align:middle">
            <div class=dodavatel>
                <img src="/img_head/balkanovaBW_<?= $this->lang ?>.png" alt="logo"/><br/>
                <?= $str_supplier ?><br />
                <b>Balkanova, s. r. o.</b><br /><br />
                <?= $str_ico ?> 28531299 <br />
                <?= $str_dic ?> CZ28531299<br />
                <?= $str_address1 ?><br />
                <br />
                <?= $str_listed ?><br />
                <br />
                <br />
                <?= $str_paypal.$str_account ?><br />
                E-mail: <?= $this->email ?><br />
                <?= $str_www ?><br />
            </div>
        </td><td>
            <div class=white>
                <table width="100%" border=0 cellspacing=1 cellpadding=0>
                    <?php if ($this->locale == 'cz') {
                    echo $str_store; ?><br /><br />
                    Balkanova<br />
                    Karoliny Světlé 23<br />
                    110 00 Praha<br />
                    <?php } else {
                    echo $str_contact ?><br /><br />
                    <?= $str_phonenr ?><br />
                    E-mail: <?= $this->email ?><br />
                    <?php } ?>
                </table>
            </div>
        </td></tr>
    <tr><td colspan=2><hr></td></tr>
    <tr><td>
            <div class=white>
                <table width=100% border=0 cellspacing=1 cellpadding=0>
                    <tr><td><?= $str_date1 ?></td><td><b><?= $this->date ?></b></td></tr>
                    <tr><td><?= $str_date2 ?></td><td><b><?= $this->date ?></b></td></tr>
                    <tr><td><?= $str_date3 ?></td><td><b><?= ($this->locale == 'de') ? $str_transfer1 : $this->splatnost ?></b></td></tr>
                    <tr><td><?= $str_paytype ?></td><td><?= ($this->locale == 'de') ? $str_transfer2 : $this->platba ?></td></tr>
                    <tr><td><?= $str_transport ?></td><td><?= $this->transport ?></td></tr>
                    <tr><td><?= $str_orderID ?></td><td><?= $this->ID ?></td></tr>
                </table>
            </div>
        </td><td>
            <div class=odberatel>
                <?= $str_buyer ?><br><br>
                <div>
                    <b><?= $this->name ?></b><br>
                    <b><?= $this->adresa ?></b><br>
                    <b><?= $this->mesto . " " . $this->psc ?></b><br>
                    <b><?= $this->country ?></b><br>
                </div>
                <br>
                <table width=100% border=0 cellspacing=1 cellpadding=0>
                    <tr><td><?= $str_phone ?></td><td><?= $this->phone ?></td></tr>
                    <tr><td>E-mail:</td><td><?= $this->mail ?></td><td></td><td></td></tr>
                </table>
            </div>
        </td></tr>
</table>

<table width=100% border=0 cellspacing=0 class="faktura-polozky">
    <tr>
        <th><?= $str_code ?></th>
        <th><?= $str_product ?></th>
        <!--<th><?= $str_price3 ?></th>-->
        <th><?= $str_items ?></th>
        <th style='text-align: right;'><?= $str_price1 ?></th>
        <th style='text-align: right;'><?= $str_vat2 ?></th>
        <th style='text-align: right;'><?= $str_price2 ?></th>
    </tr>
    <? foreach ($this->products as $product) { ?>
    <tr>
        <td><?= $product->getCode(); ?></td>
        <td><?= $product->getName(); ?></td>
        <!--<td style='text-align: right; padding-right: 20px'><?= $product->getPriceBezDPHForUnit()." ".$this->currency; ?></td>-->
        <td style='text-align: center'><?= $product->getInBasket(); ?></td>
        <td style='text-align: right;'><?= $product->getTotalPriceBezDPHString1()." ".$this->currency; ?></td>
        <td style='text-align: right;'><?= $product->getDPHVProcentech()."%"; ?></td>
        <td style='text-align: right;'><?= $product->getTotalPrice().".00 ".$this->currency; ?></td>
    </tr>
    <? } ?>
    <tr>
        <td></td>
        <td style='text-align: left;'><?= $str_shipping ?></td>
        <td></td>

        <td></td>
        <td></td>
        <td style='text-align: right;'><?= $this->shipping." ".$this->currency ?></td>
    </tr>
    <tr>
        <td style="border-top: 1px dashed #000;"></td>
        <td style='text-align: left; border-top: 1px dashed #000;'><b><?= $this->celkem ?></b></td>
        <td style="border-top: 1px dashed #000;"></td>

        <td style='text-align: right; border-top: 1px dashed #000;'><b><?= $this->totalPriceBezDPH ?> <?= $this->currency?></b></td>
        <td style="border-top: 1px dashed #000;"></td>
        <td style='text-align: right; border-top: 1px dashed #000;'><b><?= $this->totalPrice ?> <?= $this->currency?></b></td>
    </tr>
</table>
<br />
<br />
<? if (!$this->tisk) {?>
        <div class=faktura-tlacitka>
            <form method='GET' target='_blank' action="/admin/orders/print/">
                <input type="hidden" name="orderId" value="<?= $this->orderId ?>">
                <input type='submit' class='button' value="  tisk  ">

            </form>
        </div>
<? }
    if ($this->tisk) {?>
            <script language="Javascript1.2">
                <!--
                window.print();
                //-->
            </script>
<? } ?>